Signup Admin

You can call this API to have a user registered to the Accelevents (Admin Console) platform. It's necessary to provide the user's first name, email and password (following the regular password requirements) for the registration to be successful.
This API will, then, return an Access Token which will be used in further requests for user authentication.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Below, you can find the description of each response attribute, which are returned in JSON format

AttributesDescription
access_tokenThe access_token is used as the authentication key to validate the user's access to the API.
It contains encrypted user details about the access of this user to any event in which they are assigned as admins.
expires_inThe expires_in attribute returns the date and time of the access token's expiration.
redirectUrlIt will tell whether the user will be redirected after logging in (for White Label admns).
showExhibitorMenuIt returns 'true' if the user is an exhibitor admin or lead retriever. Otherwise, it returns 'false'.
userIdThe userId returns a unique numerical value associated with user's account. It is used to reference users through the diverse APIs.
userRoleThe userrole returns the assigned role for the specified userId for a specific event.
whiteLabelURLWhite label url is a unique url which is managed and provided by a White Label admin.

Below, you can find the description of the possible error messages, which are returned if any condition fails or in case any of the required data is missing from the request

Error CodeError Description
4090104Password is Empty.
4090105Email is Empty.
4060072Password should contain at least 1 uppercase, 1 lowercase, 1 special character (Valid special characters: !@#$%^&*+-_=), 1 number, no whitespaces and should be at least 8 characters in length.
4090101User already exist.
4040100No User could be found.
Body Params
RAW_BODY
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain